Description
This is a controversial proposal. Explanation:
    -  The home, user-space & group-space icons have a common behaviour: wherever you are, you can go there to change "view" and
do actions. In Home you can view last updates & stats, in user-space your edited docs, in group-space your group view.
    -  The "public" icon does not behave the same way. 1) you cannot do actions there, it's just to see "how will the page look like". 2) It
DOES matter where you are in the group-space, as the "public" icon will show the public version of whatever you were seeing there.
However, I may be working in my user-space and if I jump from there to the public, it'd show the last page I saw in the group-space...
That's confusing.
    -  I propose that this functionality, the "how will the page look like", is a preview button from the group-space. A preview button, and
nothing else. Thus, you must be in the group-space to click on it. It is a preview, which people understand what is it. And it keeps the
same functionality.

This suggestion comes from explaining it to different people and most finding it pretty confusing. This is especially complicated right
now, when the public part is not yet implemented. I would do this change asap to minimize confusion and increase usability (instead
of four top-left icons to understand, only three).

Maybe there are other alternatives to this change, but it'd be good to discuss this issue.

History
#1 - 11/09/2011 12:18 PM - Anonymous

It was me who sent that ticket :)

#2 - 11/10/2011 02:36 AM - Vicente J. Ruiz Jurado

Yes, it's controversial :)

I like a lot the metaphor, individual -> group  -> world 
you know, wave inbox is an individual perspective, and we want enforce people to be a producer of information, to share, to publish, and not to be only
a consumer of information, to change people mind from a paradigm of closeness to openness, from individual creation to collective creation...

We want communication "many to many", and in real time, and not only "one to one", or "one to many". We want things "reproducible" here and there
and "transparent" to the world and mmmm, I think a simple preview button lost a lot this metaphor...

Also for me it's difficult to maintain to paths of work, one stable and other "under development". For instance, I just added the "Add buddie" functionality
but till now the button was there explaining "how will looks like".

Also I'm thinking in mobile and the ability to move from one space to another with your finger...

Also it will possible to move in the preview, and to click on in (as you do in Wordpress) and to jump to the edition space of some content.
Contraproposal: As in kune at 09 (pre-wave), to have this icon disabled when the content is not published (the icon is a world with a red slash over it)
That should:
- suggest publish things if they are not published
- show in a fast way the status of your content (public/not public).

#3 - 11/10/2011 10:31 AM - Anonymous

I didnt understand from your contraproposal the first point... how the icon would suggest to publish things?

#4 - 11/10/2011 02:14 PM - Vicente J. Ruiz Jurado

Well if you see some world icon with a forbidden sign http://bit.ly/sLLZpa I think is very informative (if not for the general public). If you click on it, or if
you put your mouse over it, it will tell you that this content is not public and if you want to publish bla, bla, bla.

#5 - 11/10/2011 02:33 PM - Anonymous

Oook +1

#6 - 11/10/2011 02:42 PM - Vicente J. Ruiz Jurado

Another related issue:

I like how Google+ show you your page, as seen by others. I was thinking that this can be useful to show how the Group Space looks like for:
- other groups members
- other authenticated users 
- for anon users

You will see, for instance, how a Wikipage looks like to non-authenticated users or to other group members.

#7 - 11/10/2011 03:25 PM - Anonymous

What do you like about it? You mean sth like this?
https://plus.google.com/117000250216272805403
It's pretty similar to Facebook pages seen from the public...

If I understood well, the Public Space should show how non-members see the group space from outside, without logging into Kune, right? However,
they will only see the public documents (public=published, right?) of the group.

#8 - 11/10/2011 03:45 PM - Vicente J. Ruiz Jurado

No, I mean a way to test how others see your page while you are working:
http://imageshack.us/f/51/previewgplus.png/
is an additional preview button similar to G+ just for check things in the [[GroupSpace]] from other perspective, to check if permissions are right etc
without to have to sign-out or to use another user.

#9 - 11/10/2011 04:41 PM - Anonymous
Ok

#10 - 09/03/2012 04:14 PM - Vicente J. Ruiz Jurado
- Status changed from New to Closed
- % Done changed from 0 to 100
- Resolution set to fixed

This option now is "optional" via kune.properties.
